dvi2bitmap dvi2bitmap1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XPMBitmap Class Reference

`#include <XPMBitmap.h>`

Inheritance diagram for XPMBitmap:

## Public Member Functions
| XPMBitmap (const int w, const int h)
| ~XPMBitmap ()
void | setBitmap (const Byte *b)
void | setBitmapRow (const Byte *B)
void | setTransparent (const bool)
void | write (const string filename)
string | fileExtension () const
Public Member Functions inherited from BitmapImage
| BitmapImage (const int w, const int h, const int bpp=1)
virtual | ~BitmapImage ()
void | setBitmap (const Byte *B)
void | setBitmapRow (const Byte *B)
void | setTransparent (const bool sw)
void | setRGB (const bool fg, const Bitmap::BitmapColour *rgb)

## Additional Inherited Members
Public Types inherited from BitmapImage
enum | infoFields { SOFTWAREVERSION, INPUTFILENAME, FURTHERINFO }
Static Public Member Functions inherited from BitmapImage
static void | setInfo (const infoFields which, const string *s)
static BitmapImage * | newBitmapImage (const string format, const int w, const int h, const int bpp=1)
static bool | supportedBitmapImage (const string format)
static const char * | firstBitmapImageFormat ()
static const char * | nextBitmapImageFormat ()
static void | verbosity (const verbosities level)
Protected Attributes inherited from BitmapImage
int | w_
int | h_
const int | bpp_
const Byte * | bitmap_
Byte * | allocBitmap_
bool | myBitmap_
int | bitmapRows_
bool | isTransparent_
Bitmap::BitmapColour | fg_
Bitmap::BitmapColour | bg_
Static Protected Attributes inherited from BitmapImage
static const string * | softwareversion = 0
static const string * | inputfilename = 0
static const string * | furtherinfo = 0
static const char * | formats []
static const int | nformats = sizeof(formats)/sizeof(formats[0])
static int | iterator_index = 0
static verbosities | verbosity_ = normal

## Constructor & Destructor Documentation

XPMBitmap::XPMBitmap | ( | const int | w,
|  | const int | h
| ) |  |

XPMBitmap::~XPMBitmap | ( | ) |  |

## Member Function Documentation

string XPMBitmap::fileExtension | ( | ) |  | const
| inline virtual

Implements BitmapImage.

void XPMBitmap::setBitmap | ( | const Byte * | b) |  |

void XPMBitmap::setBitmapRow | ( | const Byte * | B) |  |

void XPMBitmap::setTransparent | ( | const bool | ) |  |
| inline

void XPMBitmap::write | ( | const string | filename) |  |
| virtual

Implements BitmapImage.

References BitmapImage::bitmap_, FSPATH_SEP, BitmapImage::h_, NULL, and BitmapImage::w_.

The documentation for this class was generated from the following files:

- XPMBitmap.h
- XPMBitmap.cc